MORE(1)

BEZEICHNUNG
more - zeigt Dateien seitenweise

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 more

eingeben.

SYNTAX
more [-cdflsu] [-n] [+ Zeilennummer] [+/ Muster] [Name...]

BESCHREIBUNG
more gibt Textdateien seitenweise auf dem Bildschirm aus. Nach jeder Bildschirmseite wird die Ausgabe angehalten und auf eine Eingabe des Benutzers gewartet.

In der Shellvariablen MORE können Kommandozeilenoptionen für more gespeichert werden, die bei jedem Aufruf automatisch ausgeführt werden.

Am Dateiende wird more automatisch beendet.

Wenn more eine Datei liest, wird auf der letzten Bildschirmzeile im Prompt die prozentuale Position der aktuellen Bildschirmseite in der Datei angezeigt.

Wenn dieser Prompt angezeigt wird, erwartet more eine Eingabe des Benutzers. Die Eingaben bestehen in der Regel aus einem einzigen Tastendruck. Einige Kommandos können mit einer Zahlenangabe N kombiniert werden.

Nleerzeichen
    gibt die nächsten N Zeilen aus, oder einen kompletten Bildschirm, wenn keine Zahl angegeben ist

ctrl-D
    gibt die nächsten 11 Zeilen (einen halben Bildschirm) aus

d   das gleiche wie ctrl-D

Nz  das gleiche wie Leerzeichen; die Zahl N wird die neue Anzahl Zeilen pro Bildschirm

Ns  überspringt die nächsten N Zeilen und zeigt die darauf folgenden Zeilen an

Nf  überspringt die nächsten N Bildschirme, und zeigt die darauf folgenden Zeilen an

Nb  springt N Bildschirmseiten rückwärts

Nctrl-B
    das gleiche wie b

q oder Q
    beendet more

=   zeigt die aktuelle Zeilennummer an

v   startet den Editor vi mit der aktuellen Datei in der aktuellen Zeile

h   das Hilfekommando; gibt eine Übersicht über die more Kommandos

N/Ausdruck
    sucht das N-te auftreten des Ausdrucks vom aktuellen Bildschirm an vorwärts

Nn  sucht das N-te auftreten des zuletzt gesuchten Ausrucks vorwärts

'   geht zurück an die Position, von der das letzte Suchkommando gestartet wurde

! Kommandozeile
    startet eine Shell und führt die angegebene Kommandozeile aus

N:n springt zur nächsten Datei aus der Kommandozeilenliste, bzw. N Dateien weiter

N:p springt an den Anfang der aktuellen Datei oder in die vorhergehende Datei aus der Kommandozeilenliste bzw. N Dateien zurück

:f  zeigt den Namen der aktuellen Datei und die Position des aktuellen Bildschirms

:q oder :Q
    beendet more

.   (Punkt) wiederholt das letzte Kommando

OPTIONEN

-N  N ist eine ganze Zahl und setzt die Zeilenanzahl für den Bildschirm

-c  veranlaßt more, den Bildschirm beim Weiterblättern von oben nach unten neu aufzubauen, indem jede Zeile unmittelbar vor dem Überschreiben gelöscht wird. Diese Option funktioniert nur auf Terminals, die das Löschen einzelner Zeilen unterstützen

-d  gibt einen längeren Prompt mit zusätzlicher Hilfe für den Anwender aus

-f  es werden die Textzeilen anstelle der Bildschirmzeilen angezeigt. Dadurch werden Zeilen mit Controlsequenzen, wie sie z.B. von groff erzeugt werden, korrekt in einer Zeile angezeigt

-l  ignoriert ^L (Seitenvorschub). Standardmäßig wird die Ausgabe bei jedem Seitenvorschub angehalten. Ein Seitenvorschub am Anfang des Textes bewirkt ein Löschen des Bildschirms.

-s  zeigt mehrere Leerzeilen in Folge als eine einzige an

-u  unterdrückt die Behandlung von unterstrichenem Text.

+Zeilennummer
    beginnt die Ausgabe bei Zeilennummer

+Muster
    beginnt die Ausgabe zwei Zeilen vor dem ersten Auftreten von Muster

SIEHE AUCH
less(1) und das LunetIX Linuxhandbuch

AUTOR
Eric Shienbrood, Geoff Peck, John Foderaro